Package groovy.lang

# Class Tuple7<T1,​T2,​T3,​T4,​T5,​T6,​T7>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
groovy.lang.Tuple
groovy.lang.Tuple7<T1,​T2,​T3,​T4,​T5,​T6,​T7>

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Comparable`, `java.lang.Iterable`, `java.util.Collection`, `java.util.List`

    public final class Tuple7<T1,​T2,​T3,​T4,​T5,​T6,​T7>
    extends Tuple

Represents a list of 7 typed Objects.

Since:
  2.5.0
See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Tuple7​(Tuple7<T1,​T2,​T3,​T4,​T5,​T6,​T7> tuple)` |
  `Tuple7​(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Tuple7<T1,​T2,​T3,​T4,​T5,​T6,​T7>` | `clone()` |
  `T5` | `getFifth()` | Deprecated.
  `T1` | `getFirst()` | Deprecated.
  `T4` | `getFourth()` | Deprecated.
  `T2` | `getSecond()` | Deprecated.
  `T7` | `getSeventh()` | Deprecated.
  `T6` | `getSixth()` | Deprecated.
  `T3` | `getThird()` | Deprecated.
  `T1` | `getV1()` |
  `T2` | `getV2()` |
  `T3` | `getV3()` |
  `T4` | `getV4()` |
  `T5` | `getV5()` |
  `T6` | `getV6()` |
  `T7` | `getV7()` |

  ### Methods inherited from class groovy.lang.Tuple

  `compareTo, equals, get, hashCode, size, subList, subTuple, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

  ### Methods inherited from class java.util.AbstractList

  `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray`

- ## Constructor Details

  - ### Tuple7

    public Tuple7​(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7)

  - ### Tuple7

    public Tuple7​(Tuple7<T1,​T2,​T3,​T4,​T5,​T6,​T7> tuple)

- ## Method Details

  - ### getFirst

    @Deprecated public T1 getFirst()
    Deprecated.

  - ### getSecond

    @Deprecated public T2 getSecond()
    Deprecated.

  - ### getThird

    @Deprecated public T3 getThird()
    Deprecated.

  - ### getFourth

    @Deprecated public T4 getFourth()
    Deprecated.

  - ### getFifth

    @Deprecated public T5 getFifth()
    Deprecated.

  - ### getSixth

    @Deprecated public T6 getSixth()
    Deprecated.

  - ### getSeventh

    @Deprecated public T7 getSeventh()
    Deprecated.

  - ### getV1

    public T1 getV1()

  - ### getV2

    public T2 getV2()

  - ### getV3

    public T3 getV3()

  - ### getV4

    public T4 getV4()

  - ### getV5

    public T5 getV5()

  - ### getV6

    public T6 getV6()

  - ### getV7

    public T7 getV7()

  - ### clone

    public Tuple7<T1,​T2,​T3,​T4,​T5,​T6,​T7> clone()
    Overrides:
      `clone` in class `Tuple`